PDA

Visualizza la versione completa : Mandriva e problemi gcc


magiscian
05-02-2006, 17:06
Sto provando a compilare un mio programmino fatto in fortran77 tramite shell come facevo sulla versione red hat 8.0 cio .
g77 (oppure f77) nomefile.f, mi creava l' eseguibile e apposto. Facendo la stessa cosa con mandriva e lo staesso medesimo file, mi dice :
gcc: installation problem, cannot exec `f771': No such file or directory

Perch, che fine ha fatto e sopratutto come la risolvo la questione.

triste essere niubbie....ma non mollo.
E' abbastanza urgente per l'uni

andy caps
05-02-2006, 17:38
da terminale magari dai un

urpmi -y g77 poi installa i file che propone

[root@localhost /]# urpmi -y g77
To satisfy dependencies, the following packages are going to be installed:
gcc3.3-3.3.6-3mdk.i586
gcc3.3-cpp-3.3.6-3mdk.i586
gcc3.3-g77-3.3.6-3mdk.i586
libf2c0-3.3.6-3mdk.i586
Proceed with the installation of the 4 packages? (18 MB) (S/n)

oppure urpmi gcc-gfortran

magiscian
05-02-2006, 17:59
ecco il risultato


[root@localhost /]# urpmi -y g77
nessun pacchettto denominato g77
[root@localhost /]# urpmi gcc-gfortran
nessun pacchettto denominato gcc-gfortran
[root@localhost /]# urpmi g77
nessun pacchettto denominato g77

:dh: Altre soluzioni?

andy caps
05-02-2006, 18:58
metti i server di mandriva come fonti di software :bh:

sui cd non c' molto
se hai una linea veloce puoi usare direttamente i server dai quali scarica ed installa i programmi

vai qui http://easyurpmi.zarb.org/?language=it
e leggi le istruzioni
poi incolla le righe in basso in un terminale di root
se hai una connessione lenta seleziona in basso la casella "Usa indice compresso, pi piccolo del normale, ma con meno informazioni"

cosi al posto dei 30mb di informazioni sui pacchetti ne scarica 1 )

poi prova tutti i programmi
scegli anche i server italiani dove disponibili

magiscian
05-02-2006, 20:37
Allora non stata una ricerca semplice (causa mia ignoranza) per ci sono riuscito.
Allora per tutti gli utenti mandriva 10.1 , se vi trovate nella mia stessa condizione, basta recarsi a questo indirizzo http://rpm.pbone.net/ , e cercare i seguenti pacchetti:

1. gcc-3.4.1-4mdk.i586.rpm (se nn gi installato)
2. libf2c0-3.4.1-4mdk.i586.rpm
3. libgnat1-3.4.1-4mdk.i586.rpm
4. gcc-gnat-3.4.1-4mdk.i586.rpm
5. gcc-g77-3.4.1-4mdk.i586.rpm

una volta scaricati, installateli in questo ordine e riotterrete il compilatore g77 :unz: :unz:

Grazie Andy caps sei sempre molto disponibile in forum

Loading